Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.partition
Interface PartitionAwareBackingMap

All Superinterfaces:
  java.util.Map

All Known Implementing Classes:
  ObservableSplittingBackingCache, ObservableSplittingBackingMap, PartitionSplittingBackingMap, ReadWriteSplittingBackingMap

      public interface PartitionAwareBackingMap

extends java.util.Map

In a partitioned configuration, backing maps that implement the PartitionAwareBackingMap interface are able to react to the partition life-cycle (a partition showing up on a node, or moving away from a node) and manage data more efficiently as a result.

Since:
  Coherence 3.5
Author:
  cp 2008-11-20

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Method Summary
`void` | `createPartition(int nPid)` Add a partition to the PartitionAwareBackingMap.
`void` | `destroyPartition(int nPid)` Remove a partition from the PartitionAwareBackingMap.
`BackingMapManager` | `getBackingMapManager()` Obtain the BackingMapManager that this PartitionAwareBackingMap uses to instantiate and release backing maps.
`java.lang.String` | `getName()` Determine the name of the cache for which this PartitionAwareBackingMap exists.
`java.util.Map` | `getPartitionMap(int nPid)` Obtain a Map view for the data in a specific partition.
`java.util.Map` | `getPartitionMap(PartitionSet partitions)` Obtain a Map view for the data in a specific set of partitions.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### getBackingMapManager

    BackingMapManager getBackingMapManager()

  Obtain the BackingMapManager that this PartitionAwareBackingMap uses to instantiate and release backing maps.
  Returns:
    the BackingMapManager

### getName

    java.lang.String getName()

  Determine the name of the cache for which this PartitionAwareBackingMap exists.
  Returns:
    the cache name

### createPartition

    void createPartition(int nPid)

  Add a partition to the PartitionAwareBackingMap.
  Parameters:
    `nPid` - the partition id that the PartitionAwareBackingMap will be responsible for, starting at this instant

### destroyPartition

    void destroyPartition(int nPid)

  Remove a partition from the PartitionAwareBackingMap.
  Parameters:
    `nPid` - the partition id that the PartitionAwareBackingMap will no longer be responsible for, starting at this instant

### getPartitionMap

    java.util.Map getPartitionMap(int nPid)

  Obtain a Map view for the data in a specific partition.
  Parameters:
    `nPid` - the partition ID
  Returns:
    the backing map (or null if that partition is not owned)

### getPartitionMap

    java.util.Map getPartitionMap(PartitionSet partitions)

  Obtain a Map view for the data in a specific set of partitions.
  Parameters:
    `partitions` - the masking PartitionSet
  Returns:
    a read-only view into a subset of backing maps

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.